#include <iostream>
#include <set>

using namespace std;

int main()
{
    long long int n, m;
    
    cin >> n >> m;
    long long arr[m];
    
    for(int i = 0; i < m; i++){
        cin >> arr[i];
    }
    
    set<int> kek;
    for(int i = 0; i < m; i++){
        if(count(arr, arr + m, arr[i]) >= n){
            kek.insert(arr[i]);
        }
    }
    
    cout << kek.size() << endl;
    
    for(auto itr = kek.begin(); itr != kek.end(); itr++){
        cout << *itr << " ";
    }
}